Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string

Filter by name (partial match supported).

id
string

Filter by ID.

Search by network policy ID or name.

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

Successfully retrieved list of NetworkPolicies.

A list of NetworkPolicies with pagination information.

network_policies
object[]
required

The list of NetworkPolicies.

has_more
boolean
required

Whether there are more results available.

total_count
integer<int32> | null

Total count of items in this response.